Skip to main content
GET
Get Payment Wallet Connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Query Parameters

mode
enum<string>
default:live
Available options:
test,
live

Response

Successful Response

mode
enum<string>
required
Available options:
test,
live
status
enum<string>
required
Available options:
not_connected,
creating,
awaiting_connection,
connected,
expired,
failed
id
string | null

Null when the caller has never connected a wallet in this mode.

connection_url
string | null
connection_phrase
string | null
expires_at
string<date-time> | null
error_code
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null